"use client";

import React, { useEffect } from "react";

type ModalProps = {
  isOpen: boolean;
  onClose: () => void;
  children: React.ReactNode;
  height?: string;
};

const Modal: React.FC<ModalProps> = ({
  isOpen,
  onClose,
  children,
  height = "300px",
}) => {
  // 🔒 وقتی مودال بازه، اسکرول body قفل میشه
  useEffect(() => {
    if (isOpen) {
      document.body.style.overflow = "hidden";
    } else {
      document.body.style.overflow = "auto";
    }
    return () => {
      document.body.style.overflow = "auto";
    };
  }, [isOpen]);

  if (!isOpen) return null;

  return (
    <div
      onClick={onClose} // کلیک روی فضای خاکستری
      className="fixed inset-0 bg-neutral-950/50 flex items-end z-50"
    >
      <div
        className="bg-white dark:bg-black w-full rounded-t-3xl shadow-lg relative container mx-auto p-5 overflow-y-auto"
        style={{ height }}
        onClick={(e) => e.stopPropagation()} // جلوگیری از بستن مودال وقتی روی محتوای داخلی کلیک بشه
      >
        {children}
      </div>
    </div>
  );
};

export default Modal;
